/***************************************************************************
 *   Copyright (C) 2003 by Antonio Fasolato                                *
 *   Antonio.Fasolato@poste.it                                             *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 ***************************************************************************/
#ifndef ERRORDIALOG_H
#define ERRORDIALOG_H

#include "errorDialogBase.h"

/**
  * This class is a primitive (I'm going to change it) error displaying window
  * @short Class to display errors
  * @author Antonio Fasolato
  */
class ErrorDialog : public ErrorDialogBase
{
public:
	/**
	  * Creates the window, settings its title and the message it will display
	  * @short Creates the window
	  * @param title Sets the window's title to title
	  * @param mess The message to display (a simple QString)
	  */
    ErrorDialog(QString title, QString mess);
};

#endif
